Core - Feature # 28382

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Could have
Author: Xavier Perseguers Category:

Created: 2011-07-22 Assigned To:

Updated: 2015-04-17 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Allow asynchronous JavaScript files

Description

Instead of evaluating Google Analytics code right away, the official snippet allows asynchronous evaluation, if browser supports it:

<script type="text/javascript">
// code stripped
(function() {

var ga = document.createElement('script’); ga.type = 'text/javascript’; ga.async = true;

ga.src = (‘https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';

var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);

Ho;

</script>

Add new option 'async' to PAGE.includeJS.<array>

Related issues:
related to Core - Feature # 62023: Allow script tags to have custom attributes

Closed

2014-10-03

Associated revisions

Revision e6e9b531 - 2015-01-12 14:04 - Arnd Messer

[FEATURE] Add async property to JavaScript files

Add a property 'async="async" to JavaScript files via TypoScript
page.includeJSlibs.<array>.async = 1
This patch affects the TypoScript PAGE properties

- includedSlibs

- includeJSFooterlibs

- includedS

- includeJSFooter

Resolves: #28382

Releases: master

Change-Id: 19a86edaba118370d4df9f11216998d808276b634
Reviewed-on: http://review.typo3.org/34000

Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

Reviewed-by: Frank Nagler <typo3@naegler.net>
Tested-by: Frank Nagler <typo3@naegler.net>
History

#1 - 2011-07-22 10:15 - Xavier Perseguers

- Subject changed from Allow asynchronously JavaScript files to Allow asynchronous JavaScript files

#2 - 2011-07-22 13:09 - Xavier Perseguers
- Priority changed from Should have to Could have

#3 - 2011-08-02 17:41 - Xavier Perseguers
- Target version deleted (4.6.0-betat)

#4 - 2014-02-02 11:25 - Daniel Siepmann
- Parent task set to #55575

#5 - 2014-06-17 21:55 - Mario Colombo

Come on guys... it should be possible. Google Page Speed complains about the current way page.includedS includes javascript.

#6 - 2014-11-11 15:20 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33984

#7 - 2014-11-12 11:37 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#8 - 2014-11-17 13:07 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/34259

#9 - 2014-11-17 14:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#10 - 2014-11-17 14:25 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34263

#11 - 2014-11-18 13:20 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04

2/3


http://review.typo3.org/33984
http://review.typo3.org/34000
http://review.typo3.org/34259
http://review.typo3.org/34000
http://review.typo3.org/34263

It is available at http://review.typo3.org/34263

#12 - 2014-11-18 13:41 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#13 - 2014-11-18 13:54 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#14 - 2015-01-12 11:03 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#15 - 2015-01-12 13:53 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34000

#16 - 2015-01-12 14:30 - Arnd Messer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e6e9b5318fc95446ce4a4477263b0862fb953019.

#17 - 2015-04-17 17:03 - Clemens Riccabona

great, but as it seems to me, completely useless ATM if you use concatenation feature AFAICS.

and concatenation is also recommended by google.
just mention the latter to prevent anoying "concat-minify-compress" debate on principles.
